|  | Home · All Classes · Modules

# QWebPluginFactory.Plugin Class Reference
[QtWebKit module]

the QWebPluginFactory.Plugin structure describes the properties of a plugin a QWebPluginFactory can create. More...

### Methods

- __init__ (self)
- __init__ (self, Plugin other)

### Members

- QString description
- QList<QWebPluginFactory::MimeType> mimeTypes
- QString name

## Detailed Description

the QWebPluginFactory.Plugin structure describes the properties of a plugin a QWebPluginFactory can create.

## Method Documentation

### Plugin.__init__ (self)

### Plugin.__init__ (self, Plugin other)

## Member Documentation

### QString description

The description of the plugin.

### QList<QWebPluginFactory::MimeType> mimeTypes

The list of mime types supported by the plugin.

### QString name

The name of the plugin.